/**
 * Title: PrintASCII - printing the ASCII table
 * Description:
 * Copyright:    Copyright (c) 2009
 * Company:      Morpheus
 * @author Stefano Adriani
 * @version 1.0
 */

package adriani.webapp ;

/**
* A simple java class producing the ASCII table.
*/
public class PrintASCII {

	/** First ASCII character																				*/
    int first = 32 ;		

	/** Last ASCII character																				*/
	int last  = 128 ;

	/**
	* Produce a StringBuffer array containing all the ASCII codes in the range <code>first</code>...
	* <code>last</code>.
	* 
	* @return the array containing a string representation of the ASCII characters.
	*/
	public StringBuffer[] getASCII() {

		int n = 0;
		int chars = last - first + 1;
		StringBuffer[] result = new StringBuffer[chars] ;
    	for (int i = 0 ; i < chars ; i++)  {
			n = first + i ;
	        char character = (char) n ;
	        result[i] = new StringBuffer(n + ": " + character) ;
		}
		return result ;
    }

} // End of class