/**
* Title: ExtensionMapper
* Description:
* Copyright:    Copyright (c) 2009
* Company:      Morpheus
* @author Stefano Adriani
* @version 1.0
*/

package adriani.webapp.axis ;

import javax.xml.stream.* ;
import org.apache.axis2.databinding.* ;

/**
* Placeholder class. This class is used only when the XML element defined in the WSDL document contains other
* nested XML elements. In this very simple example, since the <code>Element_1</code> and <code>Element_2</code>
* elements do not contain nested elements (extensions), this class is empty.<br/>
* Hence this class it's NOT NECESSARY to compile this package!
*/
public  class ExtensionMapper {

	/**
	* Return the object element, extending ADBBean, representing the inner XML element having name <em>typeName</em>.
	*
	* @param namespaceURI the namespace used by these elements (e.g. "http://www.example.org").
	* @param typeName the text name of the XML element (e.g. "myTag").
	* @param reader the XMLStreamReader used by the parse() method of the element's Factory class.
	*/
	public static Object getTypeObject(String namespaceURI, String typeName, XMLStreamReader reader) throws Exception {

		throw new ADBException("Unsupported type " + namespaceURI + " " + typeName) ;
	}

} // END OF CLASS
    