#*****************************************************************************************
#*****	THIS FILE PROVIDES AN EXAMPLE OF HOW TO USE A DEVELOPMENT ENVIROMENT		******
#*****	USING A SHELL FILE: YOU MUST CHANGE THESE VALUES BEFORE EXECUTING THIS FILE ******
#*****	PLEASE CHECK YOUR CUSTOM INSTALLATION PATH AND EDIT THIS FILE				******
#*****************************************************************************************

# REMARK: depending by the Linux-like operative system and environment, it could be necessary to run THIS FILE 
# using the "dot notation": . up.sh (notice the dot before the command)
# Such notation forces the new script to run in the same environment of the launcher (this file)

export AXIS_HOME='/home/stefano/apps/axis2-1.6.2'

# This should be not necessary if already defined in the setup file or bash profile
#JAVA_HOME=/home/adriani/apps/jdk1.6.0_23

# This line could be useful to run THIS FILE avoiding the "dot notation" (see above)
#exec '/home/adriani/apps/axis2-1.6.2/bin/axis2server.sh' 1>>axis2.out 2>>axis2.err
# On the opposite, if THIS FILE is executed using the "dot notation", we can omit the "exec" keyword
/home/stefano/apps/axis2-1.6.2/bin/axis2server.sh 1>>axis2.out 2>>axis2.err
